/*
 * constants.h
 */
 
#ifndef _CONSTANTS_H_INCLUDED
#define _CONSTANTS_H_INCLUDED

static const float WallHeight = 1.5;
static const float PlayerSpriteScale = 1.2;
static const float MiscSpriteScale = 0.8;
static const float RootTwo = 1.4142135623;
static const float PlayerSpriteFloorLevel = 1.0;
static const float MiscSpriteFloorLevel = 1.0;
static const float FairySpriteFloorLevel = 1.0;
static const float KnightSpriteFloorLevel = 0.8;

const int ScreenWide = 640;
const int ScreenHigh = 480;
const double UnitsWide = 12; // Current screen size (increase for debug)
const double UltimateUnitsWide = 12; // How big the screen will ultimately be.
// Display a box where the screen will eventually be.
const bool ShowDebugBox = false;
const bool ShowDebugGfx = false;
const unsigned int TickTimeMs = 10;

const int MaxLevels = 3;

#endif

